.badge {
  padding: 3px 10px;
  font-weight: 500;
  border-radius: 15px;
  white-space: normal;
}
.badge.green {
  background-color: #C7E8E8;
}
.badge.grey {
  background-color: #CDD2E6;
}

.offcanvas .loader {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  top: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.75);
  z-index: 3000;
}

.bootstrap-select .dropdown-menu {
  z-index: 1100 !important;
}

main .card {
  border-radius: 10px;
}
main .card.card-course img {
  width: 100%;
  height: 150px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
main .card.card-course .content .badge {
  padding: 5px 10px;
  font-size: 14px;
  font-weight: 500;
}
main .card.card-course .content p {
  font-size: 14px;
  font-weight: 500;
}

.main-wrapper {
  position: relative;
}
.main-wrapper .add-lesson-material-btn {
  position: fixed;
  right: 50px;
  bottom: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border-radius: 50px;
  background: #0A1992;
  transition: all 0.5s;
  z-index: 1050;
}
.main-wrapper .add-lesson-material-btn i {
  font-size: 30px;
  color: #fff;
}
.main-wrapper .add-lesson-material-btn span {
  display: none;
  font-size: 18px;
  color: #fff;
  white-space: nowrap;
}
.main-wrapper .add-lesson-material-btn:hover {
  width: 250px;
  cursor: pointer;
}
.main-wrapper .add-lesson-material-btn:hover span {
  display: block;
  margin-left: 15px;
}

.simple-pagination ul {
  display: flex;
  margin-bottom: 0;
  list-style: none;
}
.simple-pagination ul li.active {
  color: #031E80 !important;
}
.simple-pagination .page-link {
  color: #AEAEAE;
  font-size: 14px;
  font-weight: 600;
  border: none;
  box-shadow: none !important;
}
.simple-pagination span.current {
  display: block;
  padding: 0.375rem 0.75rem;
  color: #031E80 !important;
  font-size: 14px;
  font-weight: 600;
  border: none;
  box-shadow: none !important;
}

#course .course-passing-stat .d-flex > div > p, #coursePassing .course-passing-stat .d-flex > div > p {
  margin: 0;
  color: #031E80;
}
#course .course-passing-stat .d-flex > div > p:first-child, #coursePassing .course-passing-stat .d-flex > div > p:first-child {
  width: 50%;
  margin-bottom: 10px;
  font-size: 14px;
  font-weight: 500;
}
#course .course-passing-stat .d-flex > div > p:last-child, #course .course-passing-stat .d-flex > div > p:last-child span, #coursePassing .course-passing-stat .d-flex > div > p:last-child, #coursePassing .course-passing-stat .d-flex > div > p:last-child span {
  font-size: 30px;
  font-weight: 700;
}
#course .course-passing-stat .d-flex > div.percent p, #coursePassing .course-passing-stat .d-flex > div.percent p {
  font-size: 64px;
  font-weight: 700;
  line-height: 1;
}
#course .course-passing-stat .course-progress-bar .progress, #coursePassing .course-passing-stat .course-progress-bar .progress {
  height: 5px;
  border-radius: 17px;
}
#course .course-passing-stat .course-progress-bar .progress-bar, #coursePassing .course-passing-stat .course-progress-bar .progress-bar {
  background-color: #031E80;
}

#listCourseModules > .card.deleted {
  border-color: red;
}
#listCourseModules > .card.deleted h5, #listCourseModules > .card.deleted p {
  color: #f59b9b;
}

#course .status-indicator {
  width: 10px;
  height: 10px;
  border-radius: 100px;
}
#course .status-indicator.red {
  background-color: #E0A7A7;
}
#course .status-indicator.green {
  background-color: #B9E0A7;
}
#course .course-description p {
  font-size: 20px;
  line-height: 24px;
}
#course .price {
  margin-top: 40px;
}
#course .price span {
  padding: 3px 15px;
  border-radius: 5px;
  background-color: #E5E8F2;
}
#course p {
  color: rgba(0, 0, 0, 0.85);
}
#course .text-opacity-grey {
  color: rgba(0, 0, 0, 0.5) !important;
}
#course .btn-transperent:active {
  border-color: transparent !important;
}
#course .morecontent span {
  display: none;
}
#course .morelink {
  display: block;
  width: 100%;
}
#course .btn-arrow {
  background: #031E80 url(/images/chevron_right_course.svg?4396a9926c596f3bfe0b36dac22e54a8) 85% 50% no-repeat;
  color: #fff;
  border: none;
}
#course .btn-p {
  padding: 0.6rem 0.5rem;
}
#course .course-page-box {
  border-right: 2px solid #E9E9E9;
  padding-top: 8em;
  padding-bottom: 8em;
}
#course .course-page-list li {
  margin-top: 2rem;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.5);
}
#course .info-badge-teacher {
  bottom: 8px;
  left: 5px;
}
#course .will-know h3 {
  margin-bottom: 50px;
  color: #000;
}
#course .will-know .know-list .col {
  display: flex;
  align-items: flex-start;
}
#course .will-know .know-list i {
  min-width: 40px;
  font-size: 20px;
  line-height: 1.5;
  color: #031E80;
}
#course .will-know .know-list p {
  font-size: 20px;
  color: rgba(0, 0, 0, 0.5);
}
#course .brb-course-grey {
  border-bottom: 2px solid #F5F7FE;
}
#course .owl-nav {
  top: 8%;
  position: absolute;
}
#course .owl-carousel .nav-btn {
  height: 47px;
  position: absolute;
  width: 26px;
  cursor: pointer;
  top: 100px !important;
}
#course .owl-carousel .prev-slide {
  background: url(/images/owl_left.svg?5f596f793b19e2395b2e258e589f6127) no-repeat;
  left: -33px;
}
#course .owl-carousel .next-slide {
  background: url(/images/owl_right.svg?038d5cb5a00604c8da99eff2312f3990) no-repeat;
  right: -33px;
}
#course .accordion-button:not(.collapsed)::after {
  background-image: url(/images/course_page_x.svg?a28f02ef75981628c9ba1fe7ab254c6d);
}
#course .accordion-button::after {
  background-image: url(/images/course_page_plus.svg?1df8915d6ab3457ad5f28481de7a0aa7);
}
#course .accordion-button:not(.collapsed) {
  background-color: transparent;
}
#course .accordion-button, #course #course_page .accordion-body {
  padding-left: 0;
}
#course .block-w-50 {
  width: 50%;
}
#course .flex-block {
  display: flex;
}
@media (max-width: 1400px) {
  #course .fs-48 {
    font-size: 40px;
  }
}
@media (max-width: 992px) {
  #course .block-w-50 {
    width: 100%;
  }
}
@media (max-width: 768px) {
  #course .owl-carousel .prev-slide, #course .owl-carousel .next-slide {
    display: none;
  }
}
@media (max-width: 576px) {
  #course .flex-block {
    display: block;
  }
}

#coursePassing #accordionCourseNavigation .accordion-item, #coursePassing #accordionCourseNavigation .accordion-button {
  color: #fff;
  background-color: transparent;
}
#coursePassing #accordionCourseNavigation .accordion-button {
  border-bottom: solid 1px #fff;
}
#coursePassing .lesson-step {
  overflow-x: scroll;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-color: #F5F7FE;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
#coursePassing .lesson-step::-webkit-scrollbar {
  width: 0;
}
#coursePassing .lesson-step .simplePagination ul {
  padding: 0 30px;
  margin: 0;
  border-bottom: solid 3px #CDD2E6;
}
#coursePassing .lesson-step .simplePagination li {
  position: relative;
}
#coursePassing .lesson-step .simplePagination li > * {
  padding: 1rem 1.5rem;
  font-size: 24px;
}
#coursePassing .lesson-step .simplePagination li.active span {
  font-weight: bold;
}
#coursePassing .lesson-step .simplePagination li.active span:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 100%;
  height: 3px;
  background-color: #031E80;
  z-index: 2000;
}
#coursePassing .lesson-step .simplePagination li.disabled span {
  display: block;
  color: #CDD2E6;
  font-weight: 600;
  border: none;
  box-shadow: none !important;
}
#coursePassing .lesson-step .simplePagination li.uncompleted:after {
  content: "";
  position: absolute;
  top: 12px;
  right: 12px;
  display: block;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background-color: #f00;
}
#coursePassing .lesson-step .simplePagination li .page-link {
  font-size: 24px;
  color: #031E80;
  background-color: transparent;
}

#university {
  position: relative;
}
#university .section-title {
  margin-bottom: 25px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
#university .section-title h2 {
  margin: 0;
  font-size: 30px;
  font-weight: 700;
  line-height: 36px;
  color: #031E80;
}
#university .section-title .more {
  margin-left: 30px;
}
#university .section-title .more a {
  display: inline-flex;
  padding: 3px 10px;
  gap: 15px;
  font-size: 12px;
  line-height: 14px;
  color: #031E80;
  text-decoration: none;
  white-space: nowrap;
  border-radius: 28px;
  background-color: #CDD2E6;
}
#university:before {
  position: absolute;
  content: "";
  top: 0;
  width: 100%;
  height: 565px;
  background-color: #CDD2E6;
}

#universityDigitalDepartment {
  background-color: #CDD2E6;
}
#universityDigitalDepartment .section-title {
  margin-bottom: 25px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#universityDigitalDepartment .section-title h2 {
  margin: 0;
  font-size: 24px;
  font-weight: 700;
  line-height: 36px;
  color: #031E80;
  text-transform: none;
}
#universityDigitalDepartment .section-title .more {
  margin-left: 30px;
}
#universityDigitalDepartment .section-title .more a {
  display: inline-flex;
  padding: 3px 10px;
  gap: 15px;
  font-size: 12px;
  line-height: 14px;
  color: #031E80;
  text-decoration: none;
  white-space: nowrap;
  border-radius: 28px;
  background-color: #CDD2E6;
}

#about_us .about {
  position: relative;
  padding: 40px 30px;
}
#about_us .about > div {
  width: 70%;
}
#about_us .about img {
  position: absolute;
  bottom: 0;
  right: -20px;
}
#about_us #categories {
  padding: 40px 0;
  background-color: #DEE2EF;
}
#about_us #initiative {
  padding: 60px 0;
}
#about_us #initiative .block {
  padding: 30px;
}

#forUniversity .grant-program {
  padding: 40px 30px;
}
#forUniversity .grant-program > div {
  width: 60%;
}
#forUniversity .grant-program img {
  position: absolute;
  bottom: 0;
  right: 20px;
}
#forUniversity .datalib-composition * {
  color: #031E80;
}
#forUniversity .form-request-test-access {
  padding: 50px 100px;
}
#forUniversity .form-request-test-access input[type=text], #forUniversity .form-request-test-access textarea, #forUniversity .form-request-test-access select {
  background-color: #E5E8F2 !important;
  border: 1px solid rgba(3, 30, 128, 0.27);
  border-radius: 10px;
}
#forUniversity .form-request-test-access input[type=text], #forUniversity .form-request-test-access button {
  padding-top: 10px;
  padding-bottom: 10px;
}

#forTeachers .invite {
  padding: 40px 30px;
}
#forTeachers .invite div {
  width: 60%;
}
#forTeachers .invite div * {
  color: #031E80;
}
#forTeachers .invite div button {
  margin-top: 20px;
  max-width: 100%;
  width: 380px;
  color: #fff;
}
#forTeachers .invite img {
  position: absolute;
  bottom: 0;
  right: 20px;
}
#forTeachers .access p {
  color: #031E80;
}
#forTeachers .access .btn {
  max-width: 100%;
  width: 380px;
}

#forPublishers .invite {
  padding: 40px 30px;
}
#forPublishers .invite div {
  width: 60%;
}
#forPublishers .invite img {
  position: absolute;
  bottom: 0;
  right: 20px;
}

#forAuthors .grant-program {
  padding: 40px 30px;
}
#forAuthors .grant-program div {
  width: 60%;
}
#forAuthors .grant-program img {
  position: absolute;
  bottom: 0;
  right: 10px;
}

#modalListenerInfo #listUserAnswers .answer p {
  margin: 0;
  font-weight: bold;
}

.sidebar-menu h2 {
  padding-left: 10px;
  font-size: 1.4rem !important;
  font-weight: 400 !important;
}
.sidebar-menu a {
  margin-left: 0 !important;
  padding-left: 0 !important;
}
.sidebar-menu > ul > li > button {
  padding: 0 0 0 10px;
  font-weight: bold;
  text-align: left;
}
.sidebar-menu > ul > li > button:before {
  display: none;
}
.sidebar-menu > ul > li > button[aria-expanded=true]:before {
  display: none;
}
.sidebar-menu > ul > li.list-sidebar {
  margin-left: 0;
  padding-left: 12px;
}
.sidebar-menu > ul > li.list-sidebar a {
  color: rgba(0, 0, 0, 0.6);
}
.sidebar-menu > ul > li a.list-no-active {
  padding-left: 0;
  color: rgba(3, 30, 128, 0.5);
  line-height: 1.4;
}
.sidebar-menu > ul > li a.list-active {
  margin-left: 0;
  font-weight: bold;
  color: #031E80 !important;
  line-height: 1.4;
}
.sidebar-menu > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapsing > ul {
  padding-top: 10px;
  padding-left: 40px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > button, .sidebar-menu > ul > li > div.collapsing > ul > li > button {
  margin-bottom: 0.5rem;
  padding: 0;
  text-align: left;
  color: #031E80;
}
.sidebar-menu > ul > li > div.collapse > ul > li > button:before, .sidebar-menu > ul > li > div.collapsing > ul > li > button:before {
  content: "";
  display: block;
  width: 5px;
  height: 5px;
  margin-right: 0.5rem;
  background-color: #031e80;
  border-radius: 50%;
}
.sidebar-menu > ul > li > div.collapse > ul > li > button.align-items-start:before, .sidebar-menu > ul > li > div.collapsing > ul > li > button.align-items-start:before {
  margin-top: 10px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > button[aria-expanded=true]:before, .sidebar-menu > ul > li > div.collapsing > ul > li > button[aria-expanded=true]:before {
  content: "";
}
.sidebar-menu > ul > li > div.collapse > ul > li a.list-sidebar, .sidebar-menu > ul > li > div.collapsing > ul > li a.list-sidebar {
  padding-left: 2px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul {
  padding-left: 40px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > button, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > button, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > button, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > button {
  padding: 0;
  text-align: left;
  color: #031E80;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > button:before, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > button:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > button:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > button:before {
  content: "";
  display: block;
  width: 5px;
  height: 5px;
  margin-right: 0.5rem;
  background-color: #031e80;
  border-radius: 50%;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > button.align-items-start:before, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > button.align-items-start:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > button.align-items-start:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > button.align-items-start:before {
  margin-top: 10px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > button[aria-expanded=true]:before, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > button[aria-expanded=true]:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > button[aria-expanded=true]:before, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > button[aria-expanded=true]:before {
  content: "";
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > div.collapsing > ul, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > div.collapsing > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > div.collapsing > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > div.collapse > ul, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > div.collapsing > ul {
  padding-left: 40px;
}
.sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > div.collapse > ul > li, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapse > ul > li > div.collapsing > ul > li, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > div.collapse > ul > li, .sidebar-menu > ul > li > div.collapse > ul > li > div.collapsing > ul > li > div.collapsing > ul > li, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > div.collapse > ul > li, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapse > ul > li > div.collapsing > ul > li, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > div.collapse > ul > li, .sidebar-menu > ul > li > div.collapsing > ul > li > div.collapsing > ul > li > div.collapsing > ul > li {
  color: orange;
}

.profile-content {
  padding: 40px 30px;
}
.profile-content .profile-page-title {
  margin-bottom: 30px;
  display: flex;
  justify-content: space-between;
}
.profile-content .user-info div.about-user * {
  color: rgba(0, 0, 0, 0.6);
}
.profile-content .sections ul.nav {
  border-bottom: 2px solid #dee2e6;
}
.profile-content .sections ul.nav .nav-item .nav-link {
  font-size: 1.1rem;
  color: #000;
  border-radius: 0;
}
.profile-content .sections ul.nav .nav-item .nav-link.active {
  color: #031E80;
  border-bottom: solid 2px #031E80;
  background-color: transparent;
}
.profile-content .sections .tab-content .tab-pane {
  padding: 20px;
}
.profile-content#cmAddRequest .add-publication-welcome {
  display: flex;
}
.profile-content#cmAddRequest .add-publication-welcome > div {
  width: 60%;
}
.profile-content#cmAddRequest .add-publication-welcome img {
  position: absolute;
  right: -20px;
  bottom: 0;
}
.profile-content #digitalDepartmentInfo div.dd-logo img {
  width: 35%;
}
.profile-content #digitalDepartmentInfo .digital-department-info .dd-title span {
  font-size: 1rem;
  font-weight: 500;
  color: #031E80;
  text-transform: uppercase;
}
.profile-content #digitalDepartmentInfo .digital-department-info .dd-description * {
  font-size: 1rem;
  color: #031E80;
}
.profile-content .users-list .users-actions {
  display: none;
  transition: all 0.5s ease;
}
.profile-content .users-list #listUsers button.dropdown-toggle:after {
  display: none;
}
.profile-content #listUsersGroups button.dropdown-toggle:after {
  display: none;
}
.profile-content .join-requests-list .requests-actions {
  display: none;
  transition: all 0.5s ease;
}
.profile-content .competences-passport .competence-type-title {
  font-size: 20px;
  font-weight: 700;
  line-height: 24px;
}
.profile-content .competences-passport .competence-progress {
  display: flex;
  justify-content: space-between;
}
.profile-content .competences-passport .competence-progress .progress {
  width: 100%;
  border-radius: 20px;
}
.profile-content .competences-passport .competence-progress .progress .progress-bar {
  border-radius: 20px;
  background-color: #CDD2E6;
}
#profileLessonEdit #listLessonMaterials .lesson-material, #profileLessonConstructor #listLessonMaterials .lesson-material {
  padding: 15px;
  border-radius: 10px;
  background: #EEF0F4;
}
#profileLessonEdit #listLessonMaterials .lesson-material .block-controls, #profileLessonConstructor #listLessonMaterials .lesson-material .block-controls {
  margin-bottom: 15px;
  display: flex;
  justify-content: space-between;
}
#profileLessonEdit #listLessonMaterials .lesson-material .block-controls .badge-btn, #profileLessonConstructor #listLessonMaterials .lesson-material .block-controls .badge-btn {
  padding: 2px 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  border-radius: 6px;
  background-color: #CDD2E6;
  cursor: pointer;
}
#profileLessonEdit #listLessonMaterials .lesson-material .block-controls .badge-btn:not(:last-child), #profileLessonConstructor #listLessonMaterials .lesson-material .block-controls .badge-btn:not(:last-child) {
  margin-right: 10px;
}
#profileLessonEdit #modalSelectLessonMaterialType .modal-dialog, #profileLessonConstructor #modalSelectLessonMaterialType .modal-dialog {
  width: 350px;
}
#profileLessonEdit #modalSelectLessonMaterialType .modal-content, #profileLessonConstructor #modalSelectLessonMaterialType .modal-content {
  height: 600px;
  border-radius: 0;
}
#profileLessonEdit #modalSelectLessonMaterialType .modal-header, #profileLessonConstructor #modalSelectLessonMaterialType .modal-header {
  margin: 0;
  padding: 15px 0 15px;
}
#profileLessonEdit #modalSelectLessonMaterialType .modal-header > div, #profileLessonConstructor #modalSelectLessonMaterialType .modal-header > div {
  width: 100%;
  padding: 0 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#profileLessonEdit #modalSelectLessonMaterialType .modal-body, #profileLessonConstructor #modalSelectLessonMaterialType .modal-body {
  margin: 0;
  padding: 0;
}
#profileLessonEdit #modalSelectLessonMaterialType .nav, #profileLessonConstructor #modalSelectLessonMaterialType .nav {
  width: 100px;
  flex: 1 0 auto;
  background: #e5e8f2;
}
#profileLessonEdit #modalSelectLessonMaterialType .nav button, #profileLessonConstructor #modalSelectLessonMaterialType .nav button {
  padding-top: 15px;
  padding-bottom: 10px;
  color: #031E80;
  border-radius: 0;
}
#profileLessonEdit #modalSelectLessonMaterialType .nav button.active, #profileLessonConstructor #modalSelectLessonMaterialType .nav button.active {
  color: #fff;
  background: #031E80;
}
#profileLessonEdit #modalSelectLessonMaterialType .nav button i, #profileLessonConstructor #modalSelectLessonMaterialType .nav button i {
  margin-bottom: 5px;
  font-size: 24px;
}
#profileLessonEdit #modalSelectLessonMaterialType .nav button span, #profileLessonConstructor #modalSelectLessonMaterialType .nav button span {
  text-align: center;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content {
  width: 100%;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type {
  width: 50%;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 78px;
  transition: all 0.5s;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:nth-child(2n+1), #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:nth-child(2n+1) {
  border-right: solid 1px #e7e7e7;
  border-bottom: solid 1px #e7e7e7;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div i, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div i {
  margin-bottom: 5px;
  font-size: 26px;
  color: rgba(89, 93, 159, 0.4);
  transition: all 0.3s;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:hover, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:hover {
  cursor: pointer;
  background: #f4f3fb;
}
#profileLessonEdit #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:hover i, #profileLessonConstructor #modalSelectLessonMaterialType .tab-content .tab-pane .material-types > div.material-type > div:hover i {
  color: #6860ca;
}

.form-attach__wrapper {
  position: relative;
  padding: 30px 15px;
  border: 2px dashed #e0e0e0;
  border-radius: 0.375rem;
  min-height: 50px;
}

.form-attach__wrapper input {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  filter: alpha(opacity=0);
  opacity: 0;
  outline: none;
  cursor: pointer;
  display: block;
  z-index: 1050;
}

.form-attach__description {
  text-align: center;
  padding: 1rem 0.5rem;
  color: #757575;
}

.form-attach__items {
  display: flex;
  flex-wrap: wrap;
}

.form-attach__item {
  flex: 0 0 25%;
  overflow: hidden;
  flex: 0 1 calc((100% / 4) - 0.5rem);
  margin: 0.25rem;
  font-size: 0.75rem;
  border: 1px solid #eee;
  padding: 1.625rem 0.25rem;
  border-radius: 0.25rem;
  position: relative;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.form-attach__image {
  display: block;
  max-width: 100%;
  height: auto;
  margin-top: 0;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid #eee;
}

.form-attach__name {
  margin-top: 5px;
  max-width: 100%;
  overflow: hidden;
  word-wrap: break-word;
  color: #757575;
  text-align: center;
}

.form-attach__size {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 3px 6px;
  font-weight: bold;
  text-align: right;
}

.form-attach__link {
  position: absolute;
  top: 0;
  right: 0;
  padding: 0 0.375rem 0.5rem;
  cursor: pointer;
  float: right;
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1;
  color: #000;
  text-shadow: 0 1px 0 #fff;
  opacity: 0.5;
}

.form-attach__item.is-valid {
  border-color: #28a745;
}

.form-attach__item.is-invalid {
  border-color: #dc3545;
}

.form-error {
  position: relative;
  padding: 0.5rem 1rem 0.6rem;
  margin-bottom: 1rem;
  border-radius: 0.25rem;
  color: #dc3545;
  background-color: #dc35450d;
  border: 1px solid #dc3545;
}

.form-error_hide {
  display: none;
}

.form-success {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1000;
  display: flex;
  text-align: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.7);
  font-size: 1.25rem;
  border-radius: 0.25rem;
}

.form-success_hide {
  display: none;
}

#profileCourseChainsEdit .list-courses-in-chain table thead .table-secondary th {
  padding-left: 10px;
  padding-right: 10px;
}
#profileCourseChainsEdit .list-courses-in-chain table thead .table-secondary th.actions {
  width: 150px;
  text-align: center;
}
#profileCourseChainsEdit .list-courses-in-chain table tbody .actions {
  width: 150px;
  text-align: center;
}

#modalSelectCourse .modal-body table.list-items .table-secondary th {
  padding-left: 10px;
  padding-right: 10px;
}
#modalSelectCourse .modal-body table.list-items .table-secondary th.checkbox {
  width: 40px;
}
#modalSelectCourse .modal-body table.list-items .table-secondary th.actions {
  width: 150px;
  text-align: center;
}
#modalSelectCourse .modal-body table.list-items tbody td {
  padding-left: 10px;
  padding-right: 10px;
}
#modalSelectCourse .modal-body table.list-items tbody td.checkbox {
  width: 40px;
}
#modalSelectCourse .modal-body table.list-items tbody td.checkbox input[type=checkbox] {
  width: 20px;
  height: 20px;
}
#modalSelectCourse .modal-body table.list-items tbody td.actions {
  width: 150px;
  text-align: center;
}
#modalSelectCourse .modal-body table.list-items tbody td.actions button {
  padding: 0.25rem 0.5rem;
}

#course .course-chains ul li > ul {
  padding-left: 3.5rem;
}
#course .course-chains ul li > ul li {
  list-style: none;
  border-bottom: none;
}
#course .course-chains ul li > ul li:last-child {
  padding-bottom: 15px;
}

#statistics #statCourseTabs {
  margin-bottom: 30px;
  border-bottom: none;
}
#statistics #statCourseTabs li button {
  font-size: 20px;
  color: #031E80;
  border: none;
  border-bottom: solid 4px #CDD2E6;
  border-radius: 0;
  text-transform: uppercase;
  background-color: #DEE2EF;
}
#statistics #statCourseTabs li button.active {
  background-color: #E5E8F2;
  border-bottom: solid 4px #031E80;
}
#statistics #statEventsTabs {
  margin-bottom: 30px;
  border-bottom: none;
}
#statistics #statEventsTabs li button {
  font-size: 20px;
  color: #031E80;
  border: none;
  border-bottom: solid 4px #CDD2E6;
  border-radius: 0;
  text-transform: uppercase;
  background-color: #DEE2EF;
}
#statistics #statEventsTabs li button.active {
  background-color: #E5E8F2;
  border-bottom: solid 4px #031E80;
}

#tasks .tasks-list .task-block, #userTasks .tasks-list .task-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#tasks .tasks-list .task-block .task-logo, #userTasks .tasks-list .task-block .task-logo {
  width: 100px;
}
#tasks .tasks-list .task-block .task-info, #userTasks .tasks-list .task-block .task-info {
  width: 100%;
}
#tasks .tasks-list .task-block .task-info .about-task p, #userTasks .tasks-list .task-block .task-info .about-task p {
  color: grey;
}
#tasks .tasks-list .task-block .task-status, #userTasks .tasks-list .task-block .task-status {
  width: 330px;
  text-align: right;
}
#tasks .tasks-list .task-block .task-status .actions, #userTasks .tasks-list .task-block .task-status .actions {
  text-align: right;
}
#tasks .tasks-list .task-block .task-status .actions a:not(:last-child), #userTasks .tasks-list .task-block .task-status .actions a:not(:last-child) {
  margin-right: 10px;
}

#practicalTasks .practical-tasks-list .practical-task-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#practicalTasks .practical-tasks-list .practical-task-block .practical-task-logo {
  width: 100px;
}
#practicalTasks .practical-tasks-list .practical-task-block .practical-task-info {
  width: 100%;
}
#practicalTasks .practical-tasks-list .practical-task-block .practical-task-info .about-task p {
  color: grey;
}
#practicalTasks .practical-tasks-list .practical-task-block .practical-task-status {
  width: 200px;
}

#personalProjects .personal-projects-list .personal-project-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-logo {
  width: 100px;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-info {
  width: 100%;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-info .about-task p {
  color: grey;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-status {
  width: 330px;
  text-align: right;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-status .actions {
  text-align: right;
}
#personalProjects .personal-projects-list .personal-project-block .personal-project-status .actions a:not(:last-child) {
  margin-right: 10px;
}

#personalProject .tasks-list .task-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#personalProject .tasks-list .task-block .task-logo {
  width: 100px;
}
#personalProject .tasks-list .task-block .task-info {
  width: 100%;
}
#personalProject .tasks-list .task-block .task-info .about-task p {
  color: grey;
}
#personalProject .tasks-list .task-block .task-actions {
  width: 330px;
  text-align: right;
}
#personalProject .tasks-list .task-block .task-actions .actions {
  text-align: right;
}
#personalProject .tasks-list .task-block .task-actions .actions a:not(:last-child) {
  margin-right: 10px;
}

#userProjects .projects-list .project-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#userProjects .projects-list .project-block .task-logo {
  width: 100px;
}
#userProjects .projects-list .project-block .task-info {
  width: 100%;
}
#userProjects .projects-list .project-block .task-info .about-task p {
  color: grey;
}
#userProjects .projects-list .project-block .task-status {
  width: 330px;
  text-align: right;
}
#userProjects .projects-list .project-block .task-status .actions {
  text-align: right;
}
#userProjects .projects-list .project-block .task-status .actions a:not(:last-child) {
  margin-right: 10px;
}

#profileProjects .projects-lists .project-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  border-radius: 10px;
  border: solid 1px #CDD2E6;
  background-color: #F9F9F9;
}
#profileProjects .projects-lists .project-block .project-logo {
  width: 100px;
}
#profileProjects .projects-lists .project-block .project-info {
  width: 100%;
}
#profileProjects .projects-lists .project-block .project-info .about-project p {
  color: grey;
}
#profileProjects .projects-lists .project-block .project-status {
  width: 330px;
  text-align: right;
}
#profileProjects .projects-lists .project-block .project-status .actions {
  text-align: right;
}
#profileProjects .projects-lists .project-block .project-status .actions a:not(:last-child) {
  margin-right: 10px;
}
#profileProjects #listProjects .project-card .project-card-header {
  background: #f7f7fd;
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
  padding: 15px;
  min-height: 100px;
}
#profileProjects #listProjects .project-card .project-card-header .icon {
  margin-top: 5px;
}
#profileProjects #listProjects .project-card .project-card-header .icon i {
  width: 50px;
  font-size: 32px;
  color: #031E80;
}
#profileProjects #listProjects .project-card .project-card-header .title {
  flex: 1;
}
#profileProjects #listProjects .project-card .project-card-header h5 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
#profileProjects #listProjects .project-card .project-card-header h5 a {
  font-size: 16px;
  font-weight: bold;
  text-transform: uppercase;
}
#profileProjects #listProjects .project-card .project-card-header h5 a:link, #profileProjects #listProjects .project-card .project-card-header h5 a:visited, #profileProjects #listProjects .project-card .project-card-header h5 a:hover, #profileProjects #listProjects .project-card .project-card-header h5 a:active {
  text-decoration: none;
}
#profileProjects #listProjects .project-card .project-card-header .actions span {
  padding: 0 10px;
}
#profileProjects #listProjects .project-card .project-card-header .actions span:after {
  display: none;
}
#profileProjects #listProjects .project-card .project-card-header .actions span i {
  font-size: 22px;
}
#profileProjects #listProjects .project-card .project-card-body {
  padding: 0 15px 15px;
}
#profileProjects #listProjects .project-card .project-card-body p.description {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
#profileProjects #listProjects .project-card .project-card-stat {
  padding: 15px;
  background-color: #DEE2EF;
}
#profileProjects #listProjects .project-card .project-card-stat .supervisor .supervisor-card {
  display: flex;
  align-items: center;
}
#profileProjects #listProjects .project-card .project-card-stat .supervisor .supervisor-card .photo {
  margin-right: 15px;
  min-width: 50px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-size: cover;
  background-position: center;
}
#profileProjects #listProjects .project-card .project-card-stat .supervisor .supervisor-card .data p {
  max-width: 275px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
#profileProjects #listProjects .project-card .project-card-footer {
  padding: 15px 0;
}
#profileProjects #listProjects .project-card .project-card-footer a {
  width: 85%;
  font-size: 16px;
  font-weight: bold;
  border-radius: 0;
  box-shadow: 0 15px 40px rgba(3, 30, 128, 0.08) !important;
}

#profileProjectNotifications .notification-card {
  margin-bottom: 15px;
  padding: 10px 15px;
  border-radius: 10px;
  background-color: #f4f7fe;
}
#profileProjectNotifications .notification-card.active {
  background-color: #031E80;
}
#profileProjectNotifications .notification-card.active p {
  color: #fff;
}
#profileProjectNotifications .notification-card .notification-card-title {
  display: flex;
  justify-content: space-between;
}
#profileProjectNotifications .notification-card .notification-card-title p {
  margin-bottom: 0;
  font-weight: 600;
}
#profileProjectNotifications .notification-info-card {
  padding: 15px;
  border: solid 1px #ccc;
  border-radius: 10px;
}

#showUserCommentsModal .comment .logo div, #showUserAnswerModal .comment .logo div {
  display: flex;
  width: 35px;
  height: 35px;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background: #edeef4;
}
#showUserCommentsModal .comment .text div, #showUserAnswerModal .comment .text div {
  width: auto;
  max-width: 600px;
  padding: 5px 10px;
  border: solid 1px #ccc;
  border-radius: 10px;
  background: #ffffff;
  transition: all 0.5s;
}
#showUserCommentsModal .comment .text div.unread, #showUserAnswerModal .comment .text div.unread {
  background: #d3f2d3;
}
#showUserCommentsModal .comment .text div.self-message, #showUserAnswerModal .comment .text div.self-message {
  border-color: #CDD2E612;
  background: #E5E8F2;
}

.modal.showQuestion h5, .modal.editQuestion h5 {
  font-size: 1.5rem;
}
.modal.showQuestion h5 span.question, .modal.editQuestion h5 span.question {
  font-size: 1.5rem;
  font-weight: bold;
}

#showUserInfoModal .user-info > div {
  padding: 6px 12px;
}
#showUserInfoModal .user-info > div > div:first-child {
  min-width: 175px;
  font-weight: 700;
}
#showUserInfoModal .user-info > div > div:last-child p {
  margin: 0;
}

#profileCoursesCreate #listKnows .col, #profileCoursesEdit #listKnows .col {
  padding: 15px;
}
#profileCoursesCreate #listKnows .col div, #profileCoursesEdit #listKnows .col div {
  display: flex;
  align-items: flex-start;
  padding: 15px;
  border: solid 1px #eee;
  border-radius: 15px;
}
#profileCoursesCreate #listKnows .col div p, #profileCoursesEdit #listKnows .col div p {
  margin: 0;
  font-size: 16px;
}
#profileCoursesCreate #listKnows .col div .remove-know, #profileCoursesEdit #listKnows .col div .remove-know {
  width: 20px;
  color: red;
  font-size: 1.2rem;
}

#universityDD #text_block_blue {
  overflow: hidden;
}
#universityDD .description {
  overflow: hidden;
}
#universityDD .description * {
  font-size: 20px;
  line-height: 1.2;
}
#universityDD #smartCourses .owl-carousel-course .card-wrapper {
  padding: 30px;
}
#universityDD #smartCourses .owl-carousel-course .card-wrapper:hover {
  background-color: #2C51D9;
}
#universityDD #smartCourses .owl-carousel-course .card-wrapper:hover .card .card-body .card-title,
#universityDD #smartCourses .owl-carousel-course .card-wrapper:hover .card .card-body .text-grey-light {
  color: #fff;
}
#universityDD #smartCourses .owl-carousel-course .card {
  border: none;
  background-color: transparent;
}
#universityDD #smartCourses .owl-carousel-course .card img {
  width: 100%;
  height: 150px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

#offcanvasDD .btn-close {
  background: transparent !important;
}

#offcanvasNotifications .nav-notifications {
  border-bottom: solid 3px #cdd2e6;
}
#offcanvasNotifications ul.nav {
  margin-bottom: -3px !important;
}
#offcanvasNotifications ul.nav button {
  font-size: 16px;
  color: slategrey;
}
#offcanvasNotifications ul.nav button.active {
  color: #031E80;
  border-radius: 0;
  border-bottom: solid 3px #031E80;
  background-color: #fff !important;
}
#offcanvasNotifications .notification {
  margin: 0;
  padding: 15px 5px;
  border-bottom: solid 2px #cdd2e6;
}
#offcanvasNotifications .notification.unread {
  background: rgba(0, 255, 0, 0.08);
}
#offcanvasNotifications .notification.unread .notification-card .notification-icon .unread-label {
  display: block;
  position: absolute;
  top: -7px;
  left: -7px;
  font-size: 12px;
  color: lawngreen;
}
#offcanvasNotifications .notification .notification-card {
  display: flex;
  justify-content: space-between;
}
#offcanvasNotifications .notification .notification-card .notification-icon {
  position: relative;
  width: 50px;
}
#offcanvasNotifications .notification .notification-card .notification-icon .unread-label {
  display: none;
}
#offcanvasNotifications .notification .notification-card .notification-body {
  width: 100%;
}
#offcanvasNotifications .notification .notification-card .notification-body .collapse {
  border: none !important;
}
#offcanvasNotifications .notification .notification-actions {
  width: 50px;
}
#offcanvasNotifications .notification .notification-actions:hover {
  cursor: pointer;
}
#offcanvasNotifications .notification .notification-actions i {
  font-size: 20px;
  color: rgba(251, 0, 0, 0.52);
}
